<?php

/**
 * This file will add script to wp post header
 */

class FCPT_Header_Script
{
  public function __construct()
  {
    add_action('wp_head', [$this, 'add_fewcents_scripts']);
    add_filter('script_loader_tag', function ($tag, $handle) {
      if ('fc-browser_url_listener' == $handle || 'fc-paywall' == $handle) {
        return str_replace(' src', ' async defer src', $tag);
      }
      return $tag;
    }, 10, 2);
  }

  public function add_fewcents_scripts()
  {
    $paywall_url = esc_url_raw(get_option('paywall_source_url'));
    wp_enqueue_script("fc-paywall", $paywall_url, array(), '', false);

    $infinite_scroll = rest_sanitize_boolean(get_option('infinite_scroll'));
    if ($infinite_scroll == true) {
      wp_enqueue_script('fc-browser_url_listener', FCPay_URL . 'scripts/paywall_url_listener.js', array(), '', true);
    }
  }
}

new FCPT_Header_Script();
