<?php
/*
 * Plugin Name:       Fewcents
 * Description:       This plugin provides wordpress bloggers way to integrate fewcents paywall and tipjar with there articles and blogs.
 * Version:           1.1.7
 * Requires PHP:      7.0.0
 * Author:            Fewcents
 * Author URI:        https://fewcents.co/
 * License:           GPL v2 or later
 * License URI:       https://www.gnu.org/licenses/gpl-2.0.html
 * Domain Path:       /languages
 */

if (!defined('ABSPATH')) : exit();
endif; // No direct access allowed.

/**
 * Define Plugins Constants
 */
define('FCPay_PATH', trailingslashit(plugin_dir_path(__FILE__)));
define('FCPay_URL', trailingslashit(plugins_url('/', __FILE__)));

/**
 * Loading Necessary Scripts
 */
add_action('admin_enqueue_scripts', 'fcpt_load_scripts');
function fcpt_load_scripts()
{
    wp_enqueue_script('fewcents', FCPay_URL . 'dist/bundle.js', ['jquery', 'wp-element'], wp_rand(), true);
    wp_localize_script('wp-react-kickoff', 'appLocalizer', [
        'apiUrl' => home_url('/wp-json'),
        'nonce' => wp_create_nonce('wp_rest'),
    ]);
}

require_once FCPay_PATH . 'classes/fcpt-menu-admin.php';
require_once FCPay_PATH . 'classes/fcpt-header-script.php';
require_once FCPay_PATH . 'classes/fcpt-paywall-construct.php';
require_once FCPay_PATH . 'services/fcpt-process-post-request.php';

add_action('wp_ajax_process_post_request', 'fcpt_process_post_request');
